TTF_GetTextColor(3)

NAME
TTF_GetTextColor - Get the color of a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetTextColor(TTF_Text *text, Uint8 *r, Uint8 *g, Uint8 *b, Uint8 *a);

FUNCTION PARAMETERS

text
    the TTF_Text
     to query.

r   a pointer filled in with the red color value in the range of 0-255, may be NULL.

g   a pointer filled in with the green color value in the range of 0-255, may be NULL.

b   a pointer filled in with the blue color value in the range of 0-255, may be NULL.

a   a pointer filled in with the alpha value in the range of 0-255, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetTextColorFloat(3), •(3), TTF_SetTextColor(3)